Bug 142040 - CSV import broken in master
Summary: CSV import broken in master
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-05-02 15:52 UTC by Jean-Baptiste Faure
Modified: 2021-05-04 08:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
example of CSV file with several columns (79.60 KB, text/csv)
2021-05-02 15:55 UTC, Jean-Baptiste Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2021-05-02 15:52:58 UTC
Description:
In current master, CSV import dialog is correct but all columns are imported in the fisrt column in Calc.

Steps to Reproduce:
1. Open a CSV file with several columns from Calc
2. In the import dialog which appears choose the correct separator and other config
3. lick OK

Actual Results:
All data are stored in the first column.

Expected Results:
Each column detected in the import dialog goes in its column.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: afad6ba0f841985ee87a0a0871e10cda5d8913cc
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: en-US
Ubuntu_18.04_x86-64
Calc: threaded Jumbo
Comment 1 Jean-Baptiste Faure 2021-05-02 15:55:44 UTC
Created attachment 171593 [details]
example of CSV file with several columns
Comment 2 Jean-Baptiste Faure 2021-05-02 16:05:52 UTC
Of course no problem in 

Version: 7.1.4.0.0+ / LibreOffice Community
Build ID: f85ed126774a06643e5529c799cd60489984c32c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Ubuntu_18.04_x86-64
Calc: threaded

Best regards. JBF
Comment 3 raal 2021-05-02 19:32:49 UTC
Confirm with Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 41ff704cc49b7097b717882616011962ecd7198f
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded
Comment 4 raal 2021-05-02 19:39:10 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin; Could you possibly take a look at this one?
Thanks

0ca9cdd1b2ed156f3a54d6f83a87c2969285acbf is the first bad commit
commit 0ca9cdd1b2ed156f3a54d6f83a87c2969285acbf
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu Apr 22 21:49:50 2021 +0200

    source sha:75997f13ee3a71d6c994392264b0190bd7bb6756

https://git.libreoffice.org/core/+/75997f13ee3a71d6c994392264b0190bd7bb6756
 no need to create temporaries when appending number to O[U]StringBuffer
Comment 5 Commit Notification 2021-05-03 10:34:14 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/165b7b76e6ca1d66d765b4910b2be75384845f41

tdf#142040 CSV import broken in master

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-05-03 22:21:24 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4ee58a0dedc5160551260793e5fed9e6c3842976

tdf#60468, tdf#142040: sc: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2021-05-04 07:46:46 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: dff586735b6618d9b011823594a33287d8f7f223
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Closing as VERIFIED FIXED

@Noel, thanks for fixing this issue!!
Comment 8 Jean-Baptiste Faure 2021-05-04 08:43:11 UTC
Verified too in my own build under Ubuntu 18.04 x86-64 :

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: ece86ef173cbc070c76f180d02ac80c65e07fff9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: en-US
Ubuntu_18.04_x86-64
Calc: threaded Jumbo

@Noel: Thank you very much for this fix.

Best regards. JBF